Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

AdColony Outdated SDK Error
Started by Mars Interactive Mar 27 2019 07:43 AM

4 replies to this topic
[TOPIC CONTROLS]
This topic has been archived. This means that you cannot reply to this topic.
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

Mars Interactive

[GLOBAL: userInfoPane.html]
Mars Interactive
  • Contributor

  • 181 posts
  • Corona SDK

Hello,

 

We've implemented Appodeal into our app. We have placed the app in TestFlight to test the ads and we are getting an error:

 

"Warning: You are using an outdated SDK version."

 

Link to Photo Reference.

 

A few minutes before uploading the app to the App Store, We've run "Download Plugins" in Xcode (Since it's a Corona Native project) so it should be the latest Appodeal SDK.

 

Please help, as this delays the updated app version,

Thank you,

Mars Team



[TOPIC: post.html]
#2

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,680 posts
  • Enterprise

Which version of the plugin are you using?

 

Rob



[TOPIC: post.html]
#3

Mars Interactive

[GLOBAL: userInfoPane.html]
Mars Interactive
  • Contributor

  • 181 posts
  • Corona SDK

plugin.appodeal: 1.3.7 (SDK: 2.1.7)



[TOPIC: post.html]
#4

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,680 posts
  • Enterprise

The combined Appodeal plugin hasn't been updated in a while. So it's likely using a set of older add SDKs. The Appodeal Modular plugin has been updated recently and is likely using modern ad SDKs.

 

We encourage use of the Modular plugin.

 

Rob



[TOPIC: post.html]
#5

agramonte

[GLOBAL: userInfoPane.html]
agramonte
  • Corona Geek

  • 1,415 posts
  • Corona SDK

If you are married to the combine version there is another option. Although not technically supported you can upgrade the individual library up to a point. If none of the calls have been replaced or significantly changed in the underlying library then the plugin continues to work. I can do a quick video if it helps but it is nothing more than replacing the .jar or the .lib files until the plugin stops working. This works for almost all plugins and is the only reason I do native builds from time to time.




[topic_controls]
[/topic_controls]